# Poco

# class NullStreamBuf

Library: Foundation
Package: Streams
Header: Poco/NullStream.h

## Description

This stream buffer discards all characters written to it. Any read operation immediately yields EOF.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Constructors

### NullStreamBuf

NullStreamBuf();

Creates a NullStreamBuf.

## Destructor

### ~NullStreamBuf

~NullStreamBuf();

Destroys the NullStreamBuf.

## Member Functions

### readFromDevice

int readFromDevice();

### writeToDevice

int writeToDevice(
char c
);